Retrieve all VICALs
/v1/ecosystems/{ecosystemId}/vicals/publicRetrieves all VICALs available in the requested ecosystem.
This endpoint is intended for public consumption, and as such does not require authentication.
Path Parameters
The UUID of the ecosystem
uuidQuery Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/vicals/public"{
"data": [
{
"vicalIssueID": 1337,
"date": "2024-07-28T23:01:13.000Z",
"filename": "vical-2024-07-28-1722164473000.cbor",
"isAutoPublished": false
}
],
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Create VICAL POST
Creates a Verified Issuer Certificate Authority List (VICAL) based on the policy of the requested ecosystem. Refer to VICAL ot learn more about the [VICAL](https://learn.mattr.global/docs/issuance/vical/overview) purpose and data structure.
Retrieve specific VICAL GET
Retrieves a specific VICAL from the requested ecosystem by providing the VICAL version identifier. This endpoint is intended for public consumption, and as such does not require authentication.